be.ehealth.businessconnector.mycarenet.attestv2.builders

## Interface ResponseObjectBuilder

- All Known Implementing Classes:
    ResponseObjectBuilderImpl

      public interface ResponseObjectBuilder

  Provides method(s) to build a business response from WS response. Default impl : `ResponseObjectBuilderImpl` Factory : `ResponseObjectBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedBuilderResponse` | `handleCancelResponseType(SendResponseType sendResponse, CancelAttestationRequest sendRequest)` Handles the response of the WS, checks the Xades and decode the content to create a `SignedBuilderResponse` object.
    `SignedEncryptedBuilderResponse` | `handleSendResponseType(SendResponseType sendResponse, SendAttestBuilderRequest builderRequest)` Handles the response of the WS, checks the Xades and decode the content to create a `SignedEncryptedBuilderResponse` object.

- - ### Method Detail

    - #### handleSendResponseType

          SignedEncryptedBuilderResponse handleSendResponseType(SendResponseType sendResponse,
                                                                SendAttestBuilderRequest builderRequest)
                                                         throws TechnicalConnectorException

      Handles the response of the WS, checks the Xades and decode the content to create a `SignedEncryptedBuilderResponse` object.
      Parameters:
        `sendResponse` - the response sent by the WS
        `builderRequest` - the wrapper containing all the necessary request data
      Returns:
        the response object built from the response of the WS, with a valid Xades and a decoded content
      Throws:
        `TechnicalConnectorException`

    - #### handleCancelResponseType

          SignedBuilderResponse handleCancelResponseType(SendResponseType sendResponse,
                                                         CancelAttestationRequest sendRequest)
                                                  throws TechnicalConnectorException

      Handles the response of the WS, checks the Xades and decode the content to create a `SignedBuilderResponse` object.
      Parameters:
        `sendResponse` -
        `sendRequest` - the request sent to the WS
      Returns:
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.